Bug 692136 - date/time columns need to be consistent across the ui
Summary: date/time columns need to be consistent across the ui
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.0.0.Beta1
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: rhq4
TreeView+ depends on / blocked
 
Reported: 2011-03-30 14:10 UTC by John Mazzitelli
Modified: 2013-09-02 07:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-02 07:14:57 UTC


Attachments (Terms of Use)

Description John Mazzitelli 2011-03-30 14:10:32 UTC
We have date/time columns all throughout the UI, however, they are not consistent with the format they display. We need to make it consistent.

Comment 1 John Mazzitelli 2011-03-30 14:40:20 UTC
some classes that have date columns in tables, data sources or form static items.

i did a search for usages of all "date" and "time" related I18N messages from Messages and I found these classes:

...inventory.groups.detail.GeneralProperties
...inventory.groups.detail.configuration.HistoryGroupResourceConfigurationMembers
...inventory.groups.detail.configuration.HistoryGroupResourceConfigurationTable
...inventory.groups.detail.inventory.HistoryGroupPluginConfigurationMembers
...inventory.groups.detail.inventory.HistoryGroupPluginConfigurationTable
...inventory.groups.definitions.GroupDefinitionListView
...inventory.groups.definitions.GroupDefinitionDataSource
...inventory.resource.detail.configuration.AbstractConfigurationHistoryDataSource
...inventory.resource.detail.summary.ResourceErrorsView
...inventory.resource.discovery.AutodiscoveryQueueDataSource
...inventory.common.detail.operation.history.AbstractOperationHistoryDetailsView
...inventory.common.detail.operation.history.AbstractOperationHistoryDataSource
...inventory.common.detail.operation.schedule.AbstractOperationScheduleDataSource
...inventory.common.detail.operation.schedule.AbstractOperationScheduleDetailsView
...bundle.deployment.BundleResourceDeploymentHistoryListView
...bundle.destination.BundleDestinationDataSource
...bundle.destination.BundleDestinationListView
...bundle.deployment.BundleDeploymentListView
...bundle.deployment.BundleDeploymentDataSource
...dashboard.portlets.recent.imported.RecentlyAddedResourceDS
...dashboard.portlets.recent.imported.RecentlyAddedResourcesPortlet
...operation.RecentOperationsDataSource
...operation.ScheduledOperationsDataSource
...alert.definitions.AbstractAlertDefinitionsDataSource
...alert.AlertDetailsView
...alert.AlertDataSource
...util.message.MessageCenterView

Comment 2 John Mazzitelli 2011-03-31 01:04:37 UTC
we need to make sure all time/date columns utilize the TimestampCellFormatter API.

The goal is for all time/date columns to use the MEDIUM date format, with a hover to show the FULL date format.

Comment 3 John Mazzitelli 2011-04-01 13:48:41 UTC
took jay's work on TimestampCellFormatter and added to it. then went thru all classes that dislpay times/dates and made them consistent where it made sense.

Comment 4 Heiko W. Rupp 2013-09-02 07:14:57 UTC
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.


Note You need to log in before you can comment on or make changes to this bug.